import { ReportConfigEntity } from '../../entities/report-config.entity';

import IncomeReport from './configs/income';
import IncomeReportPerItem from './configs/income-per-item';
import GivingDiscount from './configs/giving-discounts';
import RevenuePerItemReport from './configs/revenue-per-item';
import SalesQtyPerItemReport from './configs/sales-qty-per-item';
import VisitorsPerRideReport from './configs/visitors-per-ride';
import TimePerRideReport from './configs/time-per-ride';
import BookingReport from './configs/booking';
import RefundsReport from './configs/refunds';
import CashierLogReport from './configs/cashier-log';
import CashWithdrawalsReport from './configs/cash-withdrawals';

export const TransactionReportConfig: ReportConfigEntity[] = [
  IncomeReport,
  IncomeReportPerItem,
  GivingDiscount,
  // RevenuePerItemReport,
  // SalesQtyPerItemReport,
  // VisitorsPerRideReport,
  // TimePerRideReport,
  BookingReport,
  RefundsReport,
  CashierLogReport,
  CashWithdrawalsReport,
];
